using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace RB_MES_API.Models
{
    /// <summary>
    /// K3接口访问的数据库备份
    /// </summary>
    public class MesRequestStatu
    {
        /// <summary>
        /// 主键
        /// </summary>
        //[DatabaseGenerated(DatabaseGeneratedOption.None)]
        //[StringLength(50)]
        [Key]
        public int FID { get; set; }
        [Required()]
        [StringLength(80)]
        [DisplayName("请求接口")]
        public string FInterface { get; set; } = string.Empty;
        [Required()]
        [DisplayName("创建时间")]
        public string FDate { get; set; } = DateTime.Now.ToString();
        /// <summary>
        ///  推送表单类型，类似于云星空的FormID
        /// </summary>
        [Required()]
        [StringLength(80)]
        [DisplayName("请求类型")]
        public string FDocType { get; set; } = string.Empty;
        /// <summary>
        /// MES原始JSON
        /// </summary>
        [Required()]
        [DisplayName("IMS请求JSON")]
        public string FRequestJson { get; set; } = string.Empty;
    }
}
